> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallets

> Lists your wallets and their receive addresses for each chain.



## OpenAPI

````yaml /openapi.json get /v1/wallets
openapi: 3.0.0
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Create customers and multi-chain wallets, receive deposits, view account
    balances and transactions, and make payouts.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/wallets:
    get:
      tags:
        - public.wallets
      summary: List wallets
      description: Lists your wallets and their receive addresses for each chain.
      parameters:
        - description: Customer ID
          in: query
          name: customer_id
          schema:
            type: string
        - description: Destination chain
          in: query
          name: chain
          schema:
            type: string
        - description: Wallet status
          in: query
          name: status
          schema:
            type: string
        - description: Search label, address, or wallet ID
          in: query
          name: q
          schema:
            type: string
        - description: 'Number of results per page (default: 50, max: 200)'
          in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WalletListResponse:
      properties:
        data:
          $ref: '#/components/schemas/WalletListData'
        error:
          type: string
        message:
          example: resource retrieved
          type: string
        status:
          enum:
            - success
          example: success
          type: string
      required:
        - data
        - error
        - message
        - status
      type: object
    ErrorResponse:
      properties:
        data:
          additionalProperties: {}
          type: object
        error:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
        status:
          enum:
            - error
          example: error
          type: string
      required:
        - data
        - error
        - message
        - status
      type: object
    WalletListData:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Wallet'
          type: array
        limit:
          example: 50
          type: integer
        page:
          example: 1
          type: integer
        total:
          example: 42
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
    Wallet:
      properties:
        created_at:
          example: '2026-08-17T10:00:00Z'
          type: string
        customer_id:
          example: 5ec10df5-acde-4e95-926c-2174279cf2fd
          type: string
        destinations:
          items:
            $ref: '#/components/schemas/WalletDestination'
          type: array
        id:
          example: 7f7c6713-3fdc-43fb-a9e7-d3c364e7c763
          type: string
        label:
          example: Customer receipts
          type: string
        merchant_id:
          example: 8fca3c8d-5d48-4f4d-a286-2ef6d1cd2f01
          type: string
        status:
          example: ACTIVE
          type: string
        updated_at:
          example: '2026-08-17T10:00:02Z'
          type: string
      type: object
    WalletDestination:
      properties:
        address:
          example: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
          type: string
        chain:
          example: BASE
          type: string
        failure_reason:
          example: provider unavailable
          type: string
        id:
          example: ea38c60e-7a0b-44f6-bdf0-8ec13a7e471a
          type: string
        last_attempted_at:
          example: '2026-08-17T10:00:00Z'
          type: string
        provisioned_at:
          example: '2026-08-17T10:00:02Z'
          type: string
        status:
          example: ACTIVE
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: Your Yara API key. Send it in the X-Yara-API-Key header.
      in: header
      name: X-Yara-API-Key
      type: apiKey

````